Net::Server::Proto::UDP(3)

NAME
  Net::Server::Proto::UDP - Net::Server UDP protocol.

SYNOPSIS
See Net::Server::Proto.

DESCRIPTION
Protocol module for Net::Server. This module implements the SOCK_DGRAM socket type under INET (also known as UDP). See Net::Server::Proto.

PARAMETERS
The following paramaters may be specified in addition to normal command line parameters for a Net::Server. See Net::Server for more information on reading arguments.

udp_recv_len
    Specifies the number of bytes to read from the UDP connection handle. Data will be read into $self->{server}->{udp_data}. Default is 4096. See IO::Socket::INET and recv.

udp_recv_flags
    See recv. Default is 0.

QUICK PARAMETER LIST
  Key               Value                    Default

  ## UDP protocol parameters
  udp_recv_len      \d+                      4096
  udp_recv_flags    \d+                      0
  udp_broadcast     bool                     undef

LICENCE
Distributed under the same terms as Net::Server